package de.cscherr.mcpht.util;

import net.fabricmc.fabric.api.client.keybinding.v1.KeyBindingHelper;
import net.minecraft.client.option.KeyBinding;
import net.minecraft.client.util.InputUtil;

public class MaybeKey {
    public KeyBinding key;
    public String translationKey;
    public String translationCategory;
    public int keyCode;
    public boolean hasKey;

    public MaybeKey() {
        hasKey = false;
    }

    public MaybeKey(String translationKey, String translationCategory, int keyCode) {
        key = KeyBindingHelper.registerKeyBinding(new KeyBinding(
                translationKey,             // Translation of name
                InputUtil.Type.KEYSYM,      // Type: MOUSE or KESYM (Keyboard)
                keyCode,            // The keycode of the key (default?)
                translationCategory  // Translation key for the keybinding category
        ));
        hasKey = true;
    }
}
